Bug 1301389 - [abrt] NetworkManager: check_if_startup_complete(): NetworkManager killed by SIGSEGV
Summary: [abrt] NetworkManager: check_if_startup_complete(): NetworkManager killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:8af5d07c795a901ece2cea8c6fa...
: 1294180 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-24 17:43 UTC by Alexander Todorov
Modified: 2016-11-03 19:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:06:58 UTC


Attachments (Terms of Use)
File: backtrace (26.16 KB, text/plain)
2016-01-24 17:43 UTC, Alexander Todorov
no flags Details
File: cgroup (199 bytes, text/plain)
2016-01-24 17:43 UTC, Alexander Todorov
no flags Details
File: core_backtrace (11.66 KB, text/plain)
2016-01-24 17:43 UTC, Alexander Todorov
no flags Details
File: dso_list (5.31 KB, text/plain)
2016-01-24 17:43 UTC, Alexander Todorov
no flags Details
File: environ (72 bytes, text/plain)
2016-01-24 17:43 UTC, Alexander Todorov
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: machineid (135 bytes, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: maps (26.34 KB, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: open_fds (2.34 KB, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: var_log_messages (25.48 KB, text/plain)
2016-01-24 17:44 UTC, Alexander Todorov
no flags Details
File: sosreport.tar.xz (14.24 MB, application/octet-stream)
2016-01-24 17:45 UTC, Alexander Todorov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Alexander Todorov 2016-01-24 17:43:49 UTC
Version-Release number of selected component:
NetworkManager-1.0.6-27.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: check_if_startup_complete
executable:     /usr/sbin/NetworkManager
global_pid:     1162
kernel:         3.10.0-327.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 check_if_startup_complete
 #6 g_object_notify at /lib64/libgobject-2.0.so.0
 #7 connection_removed
 #11 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #12 nm_settings_connection_signal_remove
 #13 do_delete
 #14 dispose at /usr/lib64/NetworkManager/libnm-device-plugin-bluetooth.so
 #16 g_hash_table_remove_all_nodes at /lib64/libglib-2.0.so.0
 #17 g_hash_table_remove_all at /lib64/libglib-2.0.so.0
 #18 dispose at /usr/lib64/NetworkManager/libnm-device-plugin-bluetooth.so

Comment 1 Alexander Todorov 2016-01-24 17:43:51 UTC
Created attachment 1117639 [details]
File: backtrace

Comment 2 Alexander Todorov 2016-01-24 17:43:53 UTC
Created attachment 1117640 [details]
File: cgroup

Comment 3 Alexander Todorov 2016-01-24 17:43:55 UTC
Created attachment 1117641 [details]
File: core_backtrace

Comment 4 Alexander Todorov 2016-01-24 17:43:57 UTC
Created attachment 1117642 [details]
File: dso_list

Comment 5 Alexander Todorov 2016-01-24 17:43:59 UTC
Created attachment 1117643 [details]
File: environ

Comment 6 Alexander Todorov 2016-01-24 17:44:00 UTC
Created attachment 1117644 [details]
File: exploitable

Comment 7 Alexander Todorov 2016-01-24 17:44:02 UTC
Created attachment 1117645 [details]
File: limits

Comment 8 Alexander Todorov 2016-01-24 17:44:03 UTC
Created attachment 1117646 [details]
File: machineid

Comment 9 Alexander Todorov 2016-01-24 17:44:05 UTC
Created attachment 1117647 [details]
File: maps

Comment 10 Alexander Todorov 2016-01-24 17:44:07 UTC
Created attachment 1117648 [details]
File: open_fds

Comment 11 Alexander Todorov 2016-01-24 17:44:09 UTC
Created attachment 1117649 [details]
File: proc_pid_status

Comment 12 Alexander Todorov 2016-01-24 17:44:11 UTC
Created attachment 1117650 [details]
File: var_log_messages

Comment 14 Alexander Todorov 2016-01-24 17:45:24 UTC
Created attachment 1117651 [details]
File: sosreport.tar.xz

Comment 15 Alexander Todorov 2016-01-24 17:50:12 UTC
As far as I can tell my WiFi router was dead at the time and the computer was desperately trying to obtain a DHCP lease when this error happened.

Comment 16 Blueowl 2016-01-25 12:12:38 UTC
This seems to be the same crash as in bug 1294180.

Comment 17 Thomas Haller 2016-01-25 16:01:10 UTC
Yes, it's the same issue as bug 1294180 for Fedora.

The crash is related the bluetooth plugin and happens during regular shutdown of NetworkManager (which makes it slightly lower priority, because NM is anyway about to shut down).

Can we see the backtrace with debug-information installed? Thanks.
(either here or on bug 1294180)

Comment 18 Thomas Haller 2016-01-25 16:56:22 UTC
*** Bug 1294180 has been marked as a duplicate of this bug. ***

Comment 19 Thomas Haller 2016-01-25 17:02:24 UTC
some fixes for review here: th/bluez-crash-shutdown-rh1301389

but they probably don't tackle the root cause yet...

Comment 20 Alexander Todorov 2016-01-27 10:50:42 UTC
I didn't experience the duplicate bug with the latest updates. Here's all related packages on my system:


NetworkManager-libnm-1.0.6-27.el7.x86_64
NetworkManager-debuginfo-1.0.6-27.el7.x86_64
NetworkManager-tui-1.0.6-27.el7.x86_64
NetworkManager-bluetooth-1.0.6-27.el7.x86_64
NetworkManager-openconnect-0.9.8.6-2.el7.x86_64
NetworkManager-vpnc-1.0.8-1.el7.x86_64
NetworkManager-wifi-1.0.6-27.el7.x86_64
NetworkManager-team-1.0.6-27.el7.x86_64
NetworkManager-vpnc-debuginfo-1.0.8-1.el7.x86_64
NetworkManager-libreswan-1.0.6-3.el7.x86_64
NetworkManager-openvpn-gnome-1.0.8-1.el7.x86_64
NetworkManager-glib-devel-1.0.6-27.el7.x86_64
NetworkManager-wwan-1.0.6-27.el7.x86_64
NetworkManager-openvpn-1.0.8-1.el7.x86_64
NetworkManager-adsl-1.0.6-27.el7.x86_64
NetworkManager-devel-1.0.6-27.el7.x86_64
NetworkManager-vpnc-gnome-1.0.8-1.el7.x86_64
NetworkManager-glib-1.0.6-27.el7.x86_64
NetworkManager-1.0.6-27.el7.x86_64



This one happened at a time when my router was dead/dying and I was having problems connecting to it. I'm not even sure how to reproduce nor why ABRT decided that these two are different bugs.

Comment 21 Alexander Todorov 2016-01-27 11:33:01 UTC
Hmmm, VPN isn't working again. Here's what I did:

1) yum update NetworkManager*
2) everything appeared to be working so I've added comment #20
3) then yum update kernel and everything else
4) reboot


I can't connect to VPN. 

5) yum remove NetworkManager-bluetooth && service NetworkManager restart

Still can't connect to VPN. Maybe the duplicate issue is a problem with VPNC after all. ABRT doesn't detect any crashes so I can't get you a traceback with -debugingo installed. The journal isn't of much help as well:


яну 27 13:29:21 aero NetworkManager[5629]: <info>  VPN plugin state changed: starting (3)
яну 27 13:29:21 aero NetworkManager[5629]: <info>  VPN connection 'Red Hat Amsterdam' (ConnectInteractive) reply received.
яну 27 13:29:21 aero NetworkManager[5629]: <info>  VPN plugin state changed: stopped (6)
яну 27 13:29:21 aero NetworkManager[5629]: <info>  VPN plugin state change reason: unknown (0)
яну 27 13:29:21 aero NetworkManager[1110]: ** Message: vpnc started with pid 5777
яну 27 13:29:21 aero NetworkManager[1110]: ** Message: Terminated vpnc daemon with PID 5777

Comment 22 Thomas Haller 2016-01-27 13:14:13 UTC
(In reply to Alexander Todorov from comment #21)

> I can't connect to VPN. 

this BZ and the duped 1294180 contain the backtrace to a crash of NetworkManager while stopping the NetworkManager process and related to the bluetooth plugin.

It would be great if you could provide a stacktrace with debugging symbols installed.





As to the VPN not working, that is unrelated to the crash, please open a different bug.
Preferably attaching a logfile of NetworkManager with DEBUG level enabled (see http://cgit.freedesktop.org/NetworkManager/NetworkManager/tree/contrib/fedora/rpm/NetworkManager.conf?id=bb78d14467c2bb5c85d2efbe84e521148322b1ca#n25 for how to enable it)


Thank you.

Comment 23 Alexander Todorov 2016-01-28 14:02:50 UTC
Thomas,
the duplicate bug is related to the VPN not working. I don't have NM-bluetooth plugin installed anymore and VPN still fails when I upgrade NM-vpnc.  I have no idea why the backtrace isn't related to the VPN plugin but I can consistently reproduce the problem. 

Do you want me to re-open bug #1294180 ?

Comment 24 Thomas Haller 2016-01-29 17:21:18 UTC
(In reply to Thomas Haller from comment #19)
> some fixes for review here: th/bluez-crash-shutdown-rh1301389

merged as http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=1a3597529e6389f5b648fe11e95743d41c1fb4b1

Comment 25 Thomas Haller 2016-07-04 21:01:16 UTC
There are different issues discussed on this BZ.

(1) For one, there was a crash during shutdown related to bluetooth plugin. That is fixed (comment 4).

(2) Then, there was talking about bug 1294180.


(3) Then, there are some vpnc related issues. This is the main issue, but there isn't enough information in this BZ to investigate that. If the problem still exists, please open a new bug with clean logfiles.
Note that nm-vpnc comes from EPEL, and I remember there were some issues with a nm-vpnc package there. Anyway, please re-test with recent packages and provide the logging information. Thank you.



I interpret this bugzilla as (1) and set the bug to MODIFIED as this is fixed in new rhel-7.3 builds of NetworkManager.

Comment 28 errata-xmlrpc 2016-11-03 19:06:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.